#include <iostream>

using namespace std;
int fja(int arr[],int n){
    if(n==1){
        arr[0]=0;
        int x;
        cin>>x;
        return x;
    };
    int a=fja(arr,n-1);
     int y;
     cin>>y;
     arr[n-1]=arr[n-2];
     if(y<a) arr[n-1]++;
     return y;
}
int main()
{
    int n,q;
    cin>>n;
    int a[n];
    fja(a,n);
    cin>>q;
    string t[q];
    for(int i=0;i<q;i++){
        int p,k;
        t[i]="NE";
        cin>>p>>k;
        if(a[k-1]-a[p-1]<2) t[i]="DA";
    }
    for(int i=0;i<q;i++)
    cout<<t[i]<<endl;

    return 0;
}